Page MenuHomePhabricator

On diff pages, ?visualdiff=1 doesn't work if diff=prev rather than an revid
Closed, ResolvedPublic1 Story Points

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2017, 7:13 PM
matmarex claimed this task.Jul 3 2017, 9:15 PM

Change 363098 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Visual diffs: Use DifferenceEngine methods to find revisions to compare

https://gerrit.wikimedia.org/r/363098

Change 365704 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Export revision IDs to JS config on diff pages

https://gerrit.wikimedia.org/r/365704

Change 365704 merged by jenkins-bot:
[mediawiki/core@master] Export revision IDs to JS config on diff pages

https://gerrit.wikimedia.org/r/365704

Change 363098 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Visual diffs: Use new wgDiffOldId/wgDiffNewId

https://gerrit.wikimedia.org/r/363098

Deskana closed this task as Resolved.Jul 18 2017, 3:41 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 18 2017, 3:41 PM

Change 365704 merged by jenkins-bot:
[mediawiki/core@master] Export revision IDs to JS config on diff pages

https://gerrit.wikimedia.org/r/365704

Reminder to also update documentation:
https://www.mediawiki.org/wiki/Manual:Interface/JavaScript#mw.config

Krinkle reopened this task as Open.Jul 22 2017, 12:35 AM